Cannot upgrade to 3.0.0.8 or 3.0.0.9 - clamav-0.99-3.el6.x86_64 not found

Report bugs and workarounds
Post Reply
aczlan
Posts: 8
Joined: 18 Mar 2015 17:03

Cannot upgrade to 3.0.0.8 or 3.0.0.9 - clamav-0.99-3.el6.x86_64 not found

Post by aczlan » 25 Mar 2016 03:23

When I try to update from 3.0.0.7 to 3.0.0.9, it gets to resolving dependencies and then it quits as follows:

Code: Select all

Resolving Dependencies
--> Running transaction check
---> Package clamav.x86_64 0:0.98.4-1.el6.rf will be updated
--> Processing Dependency: libclamav.so.6()(64bit) for package: perl-Mail-ClamAV-0.29-1.el6.rf.x86_64
--> Processing Dependency: libclamav.so.6(CLAMAV_PUBLIC)(64bit) for package: perl-Mail-ClamAV-0.29-1.el6.rf.x86_64
---> Package clamav.x86_64 0:0.99-3.el6 will be an update
---> Package clamd.x86_64 0:0.98.4-1.el6.rf will be updated
---> Package clamd.x86_64 0:0.99-3.el6 will be an update
--> Finished Dependency Resolution
Error: Package: perl-Mail-ClamAV-0.29-1.el6.rf.x86_64 (@rpmforge)
           Requires: libclamav.so.6()(64bit)
           Removing: clamav-0.98.4-1.el6.rf.x86_64 (@rpmforge)
               libclamav.so.6()(64bit)
           Updated By: clamav-0.99-3.el6.x86_64 (epel)
               Not found
           Available: clamav-0.96.4-1.el6.rf.x86_64 (rpmforge)
               libclamav.so.6()(64bit)
           Available: clamav-0.96.5-1.el6.rf.x86_64 (rpmforge)
               libclamav.so.6()(64bit)
           Available: clamav-0.97-1.el6.rf.x86_64 (rpmforge)
               libclamav.so.6()(64bit)
           Available: clamav-0.97.1-1.el6.rf.x86_64 (rpmforge)
               libclamav.so.6()(64bit)
           Available: clamav-0.97.2-1.el6.rf.x86_64 (rpmforge)
               libclamav.so.6()(64bit)
           Available: clamav-0.97.3-1.el6.rf.x86_64 (rpmforge)
               libclamav.so.6()(64bit)
           Available: clamav-0.97.4-1.el6.rf.x86_64 (rpmforge)
               libclamav.so.6()(64bit)
           Available: clamav-0.97.5-1.el6.rf.x86_64 (rpmforge)
               libclamav.so.6()(64bit)
           Available: clamav-0.97.5-2.el6.rf.x86_64 (rpmforge)
               libclamav.so.6()(64bit)
           Available: clamav-0.97.6-1.el6.rf.x86_64 (rpmforge)
               libclamav.so.6()(64bit)
           Available: clamav-0.97.7-1.el6.rf.x86_64 (rpmforge)
               libclamav.so.6()(64bit)
           Available: clamav-0.98-1.el6.rf.x86_64 (rpmforge)
               libclamav.so.6()(64bit)
           Available: clamav-0.98-2.el6.rf.x86_64 (rpmforge)
               libclamav.so.6()(64bit)
           Available: clamav-0.98.1-1.el6.rf.x86_64 (rpmforge)
               libclamav.so.6()(64bit)
           Available: clamav-0.98.3-1.el6.rf.x86_64 (rpmforge)
               libclamav.so.6()(64bit)
Error: Package: perl-Mail-ClamAV-0.29-1.el6.rf.x86_64 (@rpmforge)
           Requires: libclamav.so.6(CLAMAV_PUBLIC)(64bit)
           Removing: clamav-0.98.4-1.el6.rf.x86_64 (@rpmforge)
               libclamav.so.6(CLAMAV_PUBLIC)(64bit)
           Updated By: clamav-0.99-3.el6.x86_64 (epel)
               Not found
           Available: clamav-0.96.4-1.el6.rf.x86_64 (rpmforge)
               libclamav.so.6(CLAMAV_PUBLIC)(64bit)
           Available: clamav-0.96.5-1.el6.rf.x86_64 (rpmforge)
               libclamav.so.6(CLAMAV_PUBLIC)(64bit)
           Available: clamav-0.97-1.el6.rf.x86_64 (rpmforge)
               libclamav.so.6(CLAMAV_PUBLIC)(64bit)
           Available: clamav-0.97.1-1.el6.rf.x86_64 (rpmforge)
               libclamav.so.6(CLAMAV_PUBLIC)(64bit)
           Available: clamav-0.97.2-1.el6.rf.x86_64 (rpmforge)
               libclamav.so.6(CLAMAV_PUBLIC)(64bit)
           Available: clamav-0.97.3-1.el6.rf.x86_64 (rpmforge)
               libclamav.so.6(CLAMAV_PUBLIC)(64bit)
           Available: clamav-0.97.4-1.el6.rf.x86_64 (rpmforge)
               libclamav.so.6(CLAMAV_PUBLIC)(64bit)
           Available: clamav-0.97.5-1.el6.rf.x86_64 (rpmforge)
               libclamav.so.6(CLAMAV_PUBLIC)(64bit)
           Available: clamav-0.97.5-2.el6.rf.x86_64 (rpmforge)
               libclamav.so.6(CLAMAV_PUBLIC)(64bit)
           Available: clamav-0.97.6-1.el6.rf.x86_64 (rpmforge)
               libclamav.so.6(CLAMAV_PUBLIC)(64bit)
           Available: clamav-0.97.7-1.el6.rf.x86_64 (rpmforge)
               libclamav.so.6(CLAMAV_PUBLIC)(64bit)
           Available: clamav-0.98-1.el6.rf.x86_64 (rpmforge)
               libclamav.so.6(CLAMAV_PUBLIC)(64bit)
           Available: clamav-0.98-2.el6.rf.x86_64 (rpmforge)
               libclamav.so.6(CLAMAV_PUBLIC)(64bit)
           Available: clamav-0.98.1-1.el6.rf.x86_64 (rpmforge)
               libclamav.so.6(CLAMAV_PUBLIC)(64bit)
           Available: clamav-0.98.3-1.el6.rf.x86_64 (rpmforge)
               libclamav.so.6(CLAMAV_PUBLIC)(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
Update to Version 3.0.0.8 FAILED.  Updates cancelled.
Please visit http://www.efa-project.org for more information.
Loaded plugins: fastestmirror, security
Setting up Update Process
Loading mirror speeds from cached hostfile
 * base: centos.mirrors.tds.net
 * epel: mirror.steadfast.net
 * extras: centos.chicago.waneq.com
 * rpmforge: mirror.team-cymru.org
 * updates: mirrors.gigenet.com
No Packages marked for Update
/tmp/EFA-Staging/EFA-Update-3.0.0.8-3.0.0.9.tar.gz: No such file or directory
sendmail: fatal: root(0): No recipient addresses found in message header
Update to Version 3.0.0.9 FAILED.  Updates cancelled.
Please visit http://www.efa-project.org for more information.
/var/EFA/update/EFA-update-script died with exit status 1
[username@kmdemailfilter ~]$ \udo /usr/local/sbin/EFA-Update -update
Anyone have any ideas?
This is a VMWare VM that I installed from an OVF file a while back.

Thanks

Aaron Z

User avatar
shawniverson
Posts: 3167
Joined: 13 Jan 2014 23:30
Location: Indianapolis, Indiana USA
Contact:

Re: Cannot upgrade to 3.0.0.8 or 3.0.0.9 - clamav-0.99-3.el6.x86_64 not found

Post by shawniverson » 25 Mar 2016 08:41

*BOOM*

Bombs out on 3.0.0.7 -> 3.0.0.8

Working on upstream fix.
Version eFa 4.0.2 now available!

User avatar
shawniverson
Posts: 3167
Joined: 13 Jan 2014 23:30
Location: Indianapolis, Indiana USA
Contact:

Re: Cannot upgrade to 3.0.0.8 or 3.0.0.9 - clamav-0.99-3.el6.x86_64 not found

Post by shawniverson » 25 Mar 2016 09:31

Backported EFA repo into 3.0.0.8 update

https://github.com/E-F-A/v3/commit/819a ... 9cb7eb6e9a

Testing...
Version eFa 4.0.2 now available!

User avatar
shawniverson
Posts: 3167
Joined: 13 Jan 2014 23:30
Location: Indianapolis, Indiana USA
Contact:

Re: Cannot upgrade to 3.0.0.8 or 3.0.0.9 - clamav-0.99-3.el6.x86_64 not found

Post by shawniverson » 25 Mar 2016 09:46

Passed. Published fix to update server.

Try updating now.
Version eFa 4.0.2 now available!

aczlan
Posts: 8
Joined: 18 Mar 2015 17:03

Re: Cannot upgrade to 3.0.0.8 or 3.0.0.9 - clamav-0.99-3.el6.x86_64 not found

Post by aczlan » 25 Mar 2016 11:26

That fixed the upgrade to 3.0.0.8, then it bombed out on the upgrade to 3.0.0.9 with a "Transaction Check Error":
file /usr/share/man/man3/XML::SAX::Base.3pm.gz from install of perl-XML-SAX-0.96-7.el6.noarch conflicts with file from package perl-XML-SAX-Base-1.04-1.el6.rf.noarch
file /usr/share/man/man3/XML::SAX::Exception.3pm.gz from install of perl-XML-SAX-0.96-7.el6.noarch conflicts with file from package perl-XML-SAX-Base-1.04-1.el6.rf.noarch
I rebooted and tried again with the same results (the output is from the post reboot try)
Full output:

Code: Select all

[root@kmdemailfilter ]# EFA-Update -update
[EFA] Good you are root
[EFA] Starting update to EFA-3.0.0.9
[EFA] Good you are root
Loaded plugins: fastestmirror, security
Setting up Update Process
Loading mirror speeds from cached hostfile
 * EFA: dl4.efa-project.org
 * base: mirrors.gigenet.com
 * epel: mirror.clarkson.edu
 * extras: mirror.team-cymru.org
 * updates: bay.uchicago.edu
No Packages marked for Update
--2016-03-25 07:20:46--  http://dl.efa-project.org/update/EFA-Update-3.0.0.8-3.0.0.9.tar.gz
Resolving dl.efa-project.org... 83.149.109.94, 2001:1af8:3100:a00f::30
Connecting to dl.efa-project.org|83.149.109.94|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 4634044 (4.4M) [application/x-gzip]
Saving to: “/tmp/EFA-Staging/EFA-Update-3.0.0.8-3.0.0.9.tar.gz”

2016-03-25 07:20:54 (590 KB/s) - “/tmp/EFA-Staging/EFA-Update-3.0.0.8-3.0.0.9.tar.gz” saved [4634044/4634044]

--2016-03-25 07:20:54--  http://dl.efa-project.org/update/EFA-Update-3.0.0.8-3.0.0.9.tar.gz.md5
Resolving dl.efa-project.org... 83.149.109.94, 2001:1af8:3100:a00f::30
Connecting to dl.efa-project.org|83.149.109.94|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 68 [application/x-md5]
Saving to: “/tmp/EFA-Staging/EFA-Update-3.0.0.8-3.0.0.9.tar.gz.md5”

     0K                                                       100% 5.71M=0s

2016-03-25 07:20:55 (5.71 MB/s) - “/tmp/EFA-Staging/EFA-Update-3.0.0.8-3.0.0.9.tar.gz.md5” saved [68/68]

EFA-Version-Upgrade
Files/
Files/EFA.repo
Files/RegistrarBoundaries.pm
Files/RPM-GPG-KEY-E.F.A.Project
Files/Message.pm
Files/MailWatch-1.2.0-master-GIT-20f37a1ecb.zip
Scripts/
Scripts/EFA-Configure
Scripts/EFA-Monitor-cron
Scripts/lib-EFA-Configure/
Scripts/lib-EFA-Configure/func_ipsettings
Scripts/lib-EFA-Configure/func_tunables_children
Scripts/lib-EFA-Configure/func_asknonspam
Scripts/lib-EFA-Configure/func_askmalwarepatrol
Scripts/lib-EFA-Configure/func_sethostname
Scripts/lib-EFA-Configure/func_askmaxsizemailwatch
Scripts/lib-EFA-Configure/func_askmaxsize
Scripts/lib-EFA-Configure/libraries-filelist.txt
Scripts/lib-EFA-Configure/func_autoupdates
Scripts/lib-EFA-Configure/func_systemrestore
Scripts/lib-EFA-Configure/func_virussettings
Scripts/lib-EFA-Configure/func_tunables_procdb
Scripts/lib-EFA-Configure/func_askspam
Scripts/lib-EFA-Configure/func_askrecursion
Scripts/lib-EFA-Configure/func_mailwatchsettings
Scripts/lib-EFA-Configure/func_tunables
Scripts/lib-EFA-Configure/func_spamsettings
Scripts/lib-EFA-Configure/func_mailsettings
Scripts/lib-EFA-Configure/func_asksigrules
Scripts/lib-EFA-Configure/func_maintenance
Scripts/lib-EFA-Configure/func_trustednetworks
Scripts/lib-EFA-Configure/func_recovermysql
Scripts/lib-EFA-Configure/func_askhighspammailwatch
Scripts/lib-EFA-Configure/func_retention
Scripts/lib-EFA-Configure/new/
Scripts/lib-EFA-Configure/new/EFA-func_greylisting.bash
Scripts/lib-EFA-Configure/func_apachesettings
Scripts/lib-EFA-Configure/func_greylisting
Scripts/lib-EFA-Configure/func_resetadmin
Scripts/lib-EFA-Configure/func_getipsettings
Scripts/lib-EFA-Configure/func_ipv6settings
Scripts/lib-EFA-Configure/func_askcleandeliver
Scripts/lib-EFA-Configure/func_setipsettings
Scripts/EFA-Backup
Starting update to E.F.A. 3.0.0.9
[EFA] Good you are root
Beginning System Backup at 03252016 072055
Backup Completed at 03252016 072102
tar: Removing leading `/' from member names
tar: Removing leading `/' from member names
tar: Removing leading `/' from member names
cp: omitting directory `/tmp/EFA-Staging/Scripts/lib-EFA-Configure/new'
error: package rpmforge-release is not installed
Loaded plugins: fastestmirror, security
Cleaning repos: EFA base epel extras updates
Cleaning up Everything
Cleaning up list of fastest mirrors
Loaded plugins: fastestmirror, security
Setting up Update Process
Determining fastest mirrors
 * EFA: dl4.efa-project.org
 * base: mirrors.gigenet.com
 * epel: mirror.clarkson.edu
 * extras: mirrors.xmission.com
 * updates: bay.uchicago.edu
No Packages marked for Update
Loaded plugins: fastestmirror, security
Setting up Install Process
Loading mirror speeds from cached hostfile
 * EFA: dl4.efa-project.org
 * base: mirrors.gigenet.com
 * epel: mirror.clarkson.edu
 * extras: mirrors.xmission.com
 * updates: bay.uchicago.edu
Package perl-Convert-TNEF-0.17-10.el6.noarch already installed and latest version
Package perl-IO-Multiplex-1.13-1.el6.noarch already installed and latest version
Package perl-Net-Server-2.007-2.el6.noarch already installed and latest version
Package re2c-0.13.5-1.el6.x86_64 already installed and latest version
Package unrar-5.0.3-1.el6.rf.x86_64 already installed and latest version
Package perl-IP-Country-2.27-1.el6.rf.noarch already installed and latest version
Package perl-Mail-SPF-Query-1.999.1-2.el6.rf.noarch already installed and latest version
Package perl-Net-Ident-1.23-1.el6.rf.noarch already installed and latest version
Package perl-Mail-ClamAV-0.29-2.efa.el6.x86_64 already installed and latest version
Package webmin-1.770-1.noarch already installed and latest version
Package 2:postfix-3.0.4-1.efa.el6.x86_64 already installed and latest version
Package mysql-5.1.73-5.el6_7.1.x86_64 already installed and latest version
Package clamav-0.99-3.el6.x86_64 already installed and latest version
Package clamd-0.99-3.el6.x86_64 already installed and latest version
Package tnef-1.4.12-2.el6.x86_64 already installed and latest version
Package perl-BerkeleyDB-0.43-3.el6.x86_64 already installed and latest version
Package perl-Filesys-Df-0.92-5.el6.x86_64 already installed and latest version
Package perl-File-Tail-0.99.3-8.el6.noarch already installed and latest version
Package perl-Net-Server-2.007-2.el6.noarch already installed and latest version
Package perl-Net-CIDR-0.14-1.el6.noarch already installed and latest version
Package perl-Net-Netmask-1.9015-8.el6.noarch already installed and latest version
Package perl-NetAddr-IP-4.078-1.efa.el6.x86_64 already installed and latest version
Package perl-Crypt-OpenSSL-RSA-0.28-1.efa.el6.x86_64 already installed and latest version
Package perl-Data-Dump-1.15-1.el6.noarch already installed and latest version
Package 1:perl-Digest-SHA-5.95-1.efa.el6.x86_64 already installed and latest version
Package perl-Mail-SPF-2.9.0-1.efa.el6.noarch already installed and latest version
Package perl-Net-Patricia-1.22-4.el6.x86_64 already installed and latest version
Package perl-Parse-RecDescent-1.965-1.el6.noarch already installed and latest version
Package perl-Digest-HMAC-1.03-1.efa.el6.noarch already installed and latest version
Package perl-Net-DNS-0.65-5.el6.x86_64 already installed and latest version
Package perl-Net-DNS-Resolver-Programmable-0.003-6.efa.el6.noarch already installed and latest version
Package perl-Test-Pod-1.51-1.efa.el6.noarch already installed and latest version
Package perl-Digest-1.17-1.efa.el6.noarch already installed and latest version
Package perl-Digest-MD5-2.54-1.efa.el6.x86_64 already installed and latest version
Package perl-DB_File-1.835-1.efa.el6.x86_64 already installed and latest version
Package perl-ExtUtils-Constant-0.23-1.efa.el6.noarch already installed and latest version
Package perl-Geo-IP-1.45-1.efa.el6.x86_64 already installed and latest version
Package perl-IO-Socket-INET6-2.72-1.efa.el6.noarch already installed and latest version
Package perl-Socket-2.021-1.efa.el6.x86_64 already installed and latest version
Package perl-IO-Socket-IP-0.37-1.efa.el6.noarch already installed and latest version
Package 1:perl-libnet-3.08-1.efa.el6.x86_64 already installed and latest version
Package perl-Text-Balanced-2.03-1.efa.el6.noarch already installed and latest version
Package spamassassin-3.4.1-2.efa.el6.x86_64 already installed and latest version
Nothing to do
Loaded plugins: fastestmirror, security
Setting up Install Process
Loading mirror speeds from cached hostfile
 * EFA: dl4.efa-project.org
 * base: mirrors.gigenet.com
 * epel: mirror.clarkson.edu
 * extras: mirrors.xmission.com
 * updates: bay.uchicago.edu
Resolving Dependencies
--> Running transaction check
---> Package munin.noarch 0:2.0.25-2.el6 will be installed
--> Processing Dependency: perl(Taint::Runtime) for package: munin-2.0.25-2.el6.noarch
--> Processing Dependency: perl(Params::Validate) for package: munin-2.0.25-2.el6.noarch
--> Processing Dependency: perl(Net::SNMP) for package: munin-2.0.25-2.el6.noarch
--> Processing Dependency: perl(Munin::Node::ProxySpooler) for package: munin-2.0.25-2.el6.noarch
--> Processing Dependency: perl(Munin::Node::Config) for package: munin-2.0.25-2.el6.noarch
--> Processing Dependency: perl(Munin::Common::Timeout) for package: munin-2.0.25-2.el6.noarch
--> Processing Dependency: perl(Munin::Common::TLSClient) for package: munin-2.0.25-2.el6.noarch
--> Processing Dependency: perl(Munin::Common::Defaults) for package: munin-2.0.25-2.el6.noarch
--> Processing Dependency: perl(Munin::Common::Config) for package: munin-2.0.25-2.el6.noarch
--> Processing Dependency: perl(Log::Log4perl) for package: munin-2.0.25-2.el6.noarch
--> Processing Dependency: perl(HTML::Template) for package: munin-2.0.25-2.el6.noarch
--> Processing Dependency: perl(File::Copy::Recursive) for package: munin-2.0.25-2.el6.noarch
--> Processing Dependency: perl(FCGI) for package: munin-2.0.25-2.el6.noarch
--> Processing Dependency: perl(DateTime) for package: munin-2.0.25-2.el6.noarch
--> Processing Dependency: perl(Date::Manip) for package: munin-2.0.25-2.el6.noarch
--> Processing Dependency: perl(Crypt::DES) for package: munin-2.0.25-2.el6.noarch
--> Processing Dependency: perl(Carp::Always) for package: munin-2.0.25-2.el6.noarch
--> Processing Dependency: perl(Cache::Memcached) for package: munin-2.0.25-2.el6.noarch
--> Processing Dependency: perl(Cache::Cache) for package: munin-2.0.25-2.el6.noarch
--> Running transaction check
---> Package munin-common.noarch 0:2.0.25-2.el6 will be installed
---> Package munin-node.noarch 0:2.0.25-2.el6 will be installed
--> Processing Dependency: perl(XML::Parser) for package: munin-node-2.0.25-2.el6.noarch
--> Processing Dependency: perl(XML::LibXML) for package: munin-node-2.0.25-2.el6.noarch
--> Processing Dependency: perl(List::MoreUtils) for package: munin-node-2.0.25-2.el6.noarch
--> Processing Dependency: perl(DBD::Pg) for package: munin-node-2.0.25-2.el6.noarch
---> Package perl-Cache-Cache.noarch 0:1.06-2.el6 will be installed
--> Processing Dependency: perl(IPC::ShareLite) for package: perl-Cache-Cache-1.06-2.el6.noarch
---> Package perl-Cache-Memcached.noarch 0:1.28-2.el6 will be installed
--> Processing Dependency: perl(String::CRC32) for package: perl-Cache-Memcached-1.28-2.el6.noarch
---> Package perl-Carp-Always.noarch 0:0.09-2.el6 will be installed
---> Package perl-Crypt-DES.x86_64 0:2.05-9.el6 will be installed
---> Package perl-Date-Manip.noarch 0:6.24-1.el6 will be installed
--> Processing Dependency: perl(YAML::Syck) for package: perl-Date-Manip-6.24-1.el6.noarch
---> Package perl-DateTime.x86_64 1:0.5300-2.el6 will be installed
--> Processing Dependency: perl(Class::Singleton) >= 1.03 for package: 1:perl-DateTime-0.5300-2.el6.x86_64
--> Processing Dependency: perl(Class::Singleton) for package: 1:perl-DateTime-0.5300-2.el6.x86_64
---> Package perl-FCGI.x86_64 1:0.71-4.el6 will be installed
---> Package perl-File-Copy-Recursive.noarch 0:0.38-4.el6 will be installed
---> Package perl-HTML-Template.noarch 0:2.9-10.el6 will be installed
---> Package perl-Log-Log4perl.noarch 0:1.30-1.el6 will be installed
--> Processing Dependency: perl(Log::Dispatch::FileRotate) >= 1.10 for package: perl-Log-Log4perl-1.30-1.el6.noarch
--> Processing Dependency: perl(XML::DOM) for package: perl-Log-Log4perl-1.30-1.el6.noarch
--> Processing Dependency: perl(Log::Dispatch::Syslog) for package: perl-Log-Log4perl-1.30-1.el6.noarch
--> Processing Dependency: perl(Log::Dispatch::Screen) for package: perl-Log-Log4perl-1.30-1.el6.noarch
--> Processing Dependency: perl(Log::Dispatch::File) for package: perl-Log-Log4perl-1.30-1.el6.noarch
---> Package perl-Net-SNMP.noarch 0:5.2.0-4.el6 will be installed
---> Package perl-Params-Validate.x86_64 0:0.92-3.el6 will be installed
---> Package perl-Taint-Runtime.x86_64 0:0.03-9.el6 will be installed
--> Running transaction check
---> Package perl-Class-Singleton.noarch 0:1.4-6.el6 will be installed
---> Package perl-DBD-Pg.x86_64 0:2.15.1-4.el6_3 will be installed
--> Processing Dependency: libpq.so.5()(64bit) for package: perl-DBD-Pg-2.15.1-4.el6_3.x86_64
---> Package perl-IPC-ShareLite.x86_64 0:0.13-4.el6 will be installed
---> Package perl-List-MoreUtils.x86_64 0:0.22-10.el6 will be installed
---> Package perl-Log-Dispatch.noarch 0:2.27-1.el6 will be installed
--> Processing Dependency: perl(Mail::Sendmail) for package: perl-Log-Dispatch-2.27-1.el6.noarch
--> Processing Dependency: perl(Mail::Sender) for package: perl-Log-Dispatch-2.27-1.el6.noarch
--> Processing Dependency: perl(MIME::Lite) for package: perl-Log-Dispatch-2.27-1.el6.noarch
---> Package perl-Log-Dispatch-FileRotate.noarch 0:1.19-4.el6 will be installed
---> Package perl-String-CRC32.x86_64 0:1.4-9.el6 will be installed
---> Package perl-XML-DOM.noarch 0:1.44-7.el6 will be installed
--> Processing Dependency: perl(XML::RegExp) for package: perl-XML-DOM-1.44-7.el6.noarch
---> Package perl-XML-LibXML.x86_64 1:1.70-5.el6 will be installed
--> Processing Dependency: perl(XML::SAX::DocumentLocator) for package: 1:perl-XML-LibXML-1.70-5.el6.x86_64
---> Package perl-XML-Parser.x86_64 0:2.36-7.el6 will be installed
---> Package perl-YAML-Syck.x86_64 0:1.07-4.el6 will be installed
--> Running transaction check
---> Package perl-MIME-Lite.noarch 0:3.027-2.el6 will be installed
--> Processing Dependency: perl(MIME::Types) >= 1.28 for package: perl-MIME-Lite-3.027-2.el6.noarch
--> Processing Dependency: perl(Email::Date::Format) for package: perl-MIME-Lite-3.027-2.el6.noarch
---> Package perl-Mail-Sender.noarch 0:0.8.16-3.el6 will be installed
---> Package perl-Mail-Sendmail.noarch 0:0.79-12.el6 will be installed
---> Package perl-XML-RegExp.noarch 0:0.03-7.el6 will be installed
---> Package perl-XML-SAX.noarch 0:0.96-7.el6 will be installed
---> Package postgresql-libs.x86_64 0:8.4.20-5.el6_7 will be installed
--> Running transaction check
---> Package perl-Email-Date-Format.noarch 0:1.002-5.el6 will be installed
---> Package perl-MIME-Types.noarch 0:1.28-2.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                         Arch      Version             Repository  Size
================================================================================
Installing:
 munin                           noarch    2.0.25-2.el6        epel       198 k
Installing for dependencies:
 munin-common                    noarch    2.0.25-2.el6        epel        90 k
 munin-node                      noarch    2.0.25-2.el6        epel       402 k
 perl-Cache-Cache                noarch    1.06-2.el6          epel        89 k
 perl-Cache-Memcached            noarch    1.28-2.el6          base        27 k
 perl-Carp-Always                noarch    0.09-2.el6          epel        11 k
 perl-Class-Singleton            noarch    1.4-6.el6           base        17 k
 perl-Crypt-DES                  x86_64    2.05-9.el6          epel        19 k
 perl-DBD-Pg                     x86_64    2.15.1-4.el6_3      base       196 k
 perl-Date-Manip                 noarch    6.24-1.el6          base       1.4 M
 perl-DateTime                   x86_64    1:0.5300-2.el6      base       2.0 M
 perl-Email-Date-Format          noarch    1.002-5.el6         base        16 k
 perl-FCGI                       x86_64    1:0.71-4.el6        epel        40 k
 perl-File-Copy-Recursive        noarch    0.38-4.el6          base        22 k
 perl-HTML-Template              noarch    2.9-10.el6          epel        70 k
 perl-IPC-ShareLite              x86_64    0.13-4.el6          epel        28 k
 perl-List-MoreUtils             x86_64    0.22-10.el6         base        53 k
 perl-Log-Dispatch               noarch    2.27-1.el6          epel        71 k
 perl-Log-Dispatch-FileRotate    noarch    1.19-4.el6          epel        24 k
 perl-Log-Log4perl               noarch    1.30-1.el6          epel       392 k
 perl-MIME-Lite                  noarch    3.027-2.el6         base        82 k
 perl-MIME-Types                 noarch    1.28-2.el6          base        32 k
 perl-Mail-Sender                noarch    0.8.16-3.el6        epel        54 k
 perl-Mail-Sendmail              noarch    0.79-12.el6         epel        28 k
 perl-Net-SNMP                   noarch    5.2.0-4.el6         epel       100 k
 perl-Params-Validate            x86_64    0.92-3.el6          base        75 k
 perl-String-CRC32               x86_64    1.4-9.el6           base        15 k
 perl-Taint-Runtime              x86_64    0.03-9.el6          base        22 k
 perl-XML-DOM                    noarch    1.44-7.el6          base       136 k
 perl-XML-LibXML                 x86_64    1:1.70-5.el6        base       364 k
 perl-XML-Parser                 x86_64    2.36-7.el6          base       224 k
 perl-XML-RegExp                 noarch    0.03-7.el6          base       9.8 k
 perl-XML-SAX                    noarch    0.96-7.el6          base        78 k
 perl-YAML-Syck                  x86_64    1.07-4.el6          base        75 k
 postgresql-libs                 x86_64    8.4.20-5.el6_7      updates    202 k

Transaction Summary
================================================================================
Install      35 Package(s)

Total download size: 6.5 M
Installed size: 28 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           974 kB/s | 6.5 MB     00:06
Running rpm_check_debug
Running Transaction Test


Transaction Check Error:
  file /usr/share/man/man3/XML::SAX::Base.3pm.gz from install of perl-XML-SAX-0.96-7.el6.noarch conflicts with file from package perl-XML-SAX-Base-1.04-1.el6.rf.noarch
  file /usr/share/man/man3/XML::SAX::Exception.3pm.gz from install of perl-XML-SAX-0.96-7.el6.noarch conflicts with file from package perl-XML-SAX-Base-1.04-1.el6.rf.noarch

Error Summary
-------------

Update to Version 3.0.0.9 FAILED.  Updates cancelled.
Please visit http://www.efa-project.org for more information.
sendmail: fatal: root(0): No recipient addresses found in message header
All done
Please restart your system as soon as possible.
If your system does not return to a command prompt
you can now safely press ctrl-c to abort logsave
Thank you for using E.F.A.
Aaron Z

User avatar
shawniverson
Posts: 3167
Joined: 13 Jan 2014 23:30
Location: Indianapolis, Indiana USA
Contact:

Re: Cannot upgrade to 3.0.0.8 or 3.0.0.9 - clamav-0.99-3.el6.x86_64 not found

Post by shawniverson » 25 Mar 2016 12:16

Version eFa 4.0.2 now available!

aczlan
Posts: 8
Joined: 18 Mar 2015 17:03

Re: Cannot upgrade to 3.0.0.8 or 3.0.0.9 - clamav-0.99-3.el6.x86_64 not found

Post by aczlan » 25 Mar 2016 13:24

shawniverson wrote:viewtopic.php?f=13&t=1487
::facepalm:: sorry, should have searched again for the new error.
That fixed it, running 3.0.0.9 now.

Thanks

Aaron Z

Post Reply